* {
    margin: 0;
    padding: 0;
}

html, body {
    height: 100%;
}

body {
    overflow-x: hidden;
    font-family: 'Poppins', sans-serif;
    background: url(billel-fond.png);
    background-size: 245%;
}

body a {
    color: inherit;
}


/* body a:hover { */
/*     color: blue; */
/* } */

body p {
    font-size: medium;
}

nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin: 0 2%;
}

nav a {
    cursor: pointer;
}

.logo-anchor img {
    width: 30vh;
}

@media (max-width: 400px) {
    .logo-anchor img {
        width: 25vh;
    }
}

.right-nav {
    display: flex;
    list-style: none;
}

.right-nav #menu {
    cursor: pointer;
}

.right-nav a {
    cursor: pointer;
    display: block;
}

.right-nav li {
    margin: 0 1vw;
}

.right-nav img {
    width: 4vh;
}

.menu-nav {
    position: absolute;
    right: 0;
    top: 0vh;
    background-color: white;
    display: none;
    width: 25%;
    height: 100%;
    overflow-x: hidden;
    box-shadow: 0px 4px 22px -3px #000;
    z-index: 1000;
}

.menu-nav a {
    text-decoration: none;
    font-size: large;
    font-weight: bold;
    display: block;
    text-align: center;
    outline: none;
    margin-top: 3vh;
    padding: 3vh 0;
}

ol, ul {
    padding-left: initial !important;
}

.menu-nav li:hover {
    background-color: #374c62;
    transition: 0.4s;
}

.menu-nav li:hover a {
    color: #fff;
    font-size: larger;
    transition: 0.6s;
}

.cancel-nav {
    margin: 2vh;
}

.cancel-nav img {
    width: 40px;
}

.salat-menu {
    position: absolute;
    right: 0;
    top: 0vh;
    background-color: white;
    display: none;
    flex-direction: column;
    align-items: center;
    width: 25%;
    height: 100%;
    box-shadow: 0px 4px 22px -3px #000;
}

.salat-menu li {
    list-style: none;
    margin-top: 100px;
    font-weight: bold;
}

.salat-cancel-nav {
    position: absolute;
    right: 5px;
    top: 5px;
}

.salat-cancel-nav img {
    height: 30px;
    width: 30px;
}

.t-c {
    display: inline-flex;
}

.t-c li {
    padding: 0 30px;
}


banner button {
    margin-top: 5px;
    width: 7.5em;
    border-radius: 1vh;
    font-size: larger;
    background-color: #d3bc74;
    font-weight: initial;
    cursor: pointer;
    padding: 0.6rem;
}

banner button:hover {
    background-color: #19a1e3;
}

.banarrow-wrapper {
    margin: 7vh 25%;
}

.carousel {
    text-align: center;
}

banner img {
    width: 100%;
    /* max-width: 1280px; */
    border-radius: 20px;
    box-shadow: 5px 5px 7px 0 rgba(10, 10, 10, 0.43);
}

.arrow-projet {
    text-align: center;
    margin-top: 3%;
}

.arrow-projet img{
    width: 40px;
}

.arrow-projet p {
    font-size: unset;
}

.cards {
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.card1, .card2, .card3, .card4 {
    /* border-style: solid; */
    /* border-width: 2px; */
    width: auto;
    text-align: center;
}

.img-wrapper img {
    width: 100%;
    max-width: 620px;
}

.card-inner {
    display: flex;
    flex-direction: column;
    margin: 4%;
}

.card-inner-wrapper {
    margin: 5vh 0;
}

.cards h1 {
    color: goldenrod;
    font-family: 'lobster two';
    margin-bottom: 10px;
}



.card3 {
    margin-top: 10vh;
}

.card4 {
    margin-top: 10vh;
}

.cardFourSeparator {
    margin-top: 10vh;
    margin-bottom: 12vh;
}

.down-arrow {
    margin-top: 5vh;
}

.down-arrow img{
    width: 3vh;
}

/* actualité */

.new-post {
    margin-top: 5vh;
    margin-left: 5vh;
    text-align: left;
}

.new-post img {
    width: 1.5vh;
    margin-right: 10px;
}

.new-post button {
    height: 40px;
    width: 150px;
}

.grid-container {
    display: flex;
    flex-direction: column;
    text-align: center;
}

.articles {
    border: solid;
    border-width: 1px;
    border-color: #708090;
    margin: 2vh 20%;
    border-radius: 5px;
    overflow: hidden;
    box-shadow: 0px 5px 22px -3px #000;
    background: white;
}

.upload_image_actu {
    margin-top: 2.5rem;
}

.art-container {
    padding: 0 10%;
}


.art-content {
    margin-top: 5vh;
}

.title-bar {
    background-color: slategrey;
    padding: 2vh 0;
    border-radius: 0 0 8px 8px;
}

.title-bar h2 {
    font-size: larger;
}

.art-title:hover {
    color: #f9f9f9;
}


.articles a {
    text-decoration: none;
}

.art-metadata {
    float: left;
}

.content-read button {
    margin: 2vh;
    display: ruby;
}

.read {
    width: 7em;
}

.video-container {
	  position: relative;
	  padding-bottom: 56.25%;
	  padding-top: 30px;
	  height: 0;
    border-radius: 20px;
	  overflow: hidden;
}

.video-container iframe {
	  position: absolute;
	  top: 0;
	  left: 0;
	  width: 100%;
	  height: 100%;
}

.video-wrapper {
    margin: 4vh auto;
    max-width: 700px;
}

/* Paginator */

.paginator-wrapper {
    margin-bottom: 2vh;
}

.paginator-wrapper a{
    font-size: small;
    border: solid;
    border-width: thin;
    border-color: #708090;
    border-radius: 0.5vh;
    padding: 1vh;
    text-decoration: none;
}

.paginator-wrapper a:hover {
    background-color:#708090 ;
    color: white;
}

.paginator-wrapper a:active {
    background-color:#708090 ;
    color: white;
}

/* Post-Detail */

.art-detail {
    display: flex;
    flex-direction: column;
    margin: 5vh 10%;
}

.art-detail a {
    text-decoration: none;
}

.article-detail-post {
    background: white;
    margin: 5vh;
    padding: 0 2vw;
    /* border: solid; */
    /* border-width: 1px; */
    border-radius: 10px;
    overflow: hidden;
    box-shadow: 0px 4px 22px -3px #000;
}

.article-detail-post h1 {
    margin-top: 5vh;
    text-align: center;
}


.article-detail-post p {
    margin: 5vh;
}


.article-detail-post hr {
    margin: 0 30vh;
}

.article-detail-post a {
    text-decoration: underline;
}

/* Post_delete_confirm */

.content-section {
    margin: 5vh;
}


/* Dons */

.hadith {
    margin: 5vh 10vh;
}

.hadith h1 {
    font-family: 'lobster two';
    margin: 4vh 2vw;
}

.paiement {
    margin: 0 2vw;
}

.dons-frame {
    width: 85%;
    margin: 5vh auto;
}

/* Sounboula */

.sounboula-img {
    text-align: center;
}

.sounboula-wrapper img {
    margin-top: 10vh;
    width: 75%;
}

.sounboula-frame {
    text-align: center;
}

.sounboula-frame iframe {
    width: 100%;
}

/* Nous Connaitre */

.assoc-wrapper {
    margin: 3vh 8vh;
    text-align: center;
}
.assoc-wrapper img {
    width: 45vw;
}

@media (max-width: 1400px) {
    body{
        background-size: 290%;
    }

    .banarrow-wrapper {
        margin: 7vh 20%;
    }

    .articles {
        margin: 2vh 18%;
    }
}

/* Footer Section */

footer {
    display: block;
    background-color: #fff;
    padding: 2vh 0;
    border-top: solid;
    border-color: grey;
    border-width: 1px;
    position: relative;
}


#confEtc {
    margin-bottom: 10vh;
    text-align: center;
}

#confEtc ul {
    list-style: none;
}

#confEtc li {
    display: inline;
    margin-left: 4vw;
}

#confEtc a {
    text-decoration: none;
    font-size: large;
    font-weight: bold;
}

#confEtc li:hover a {
    font-size: larger;
    transition: 0.8s;
}

#copyright {
    white-space: nowrap;
    text-align: center;
}

@media (max-width: 1080px) {
    body{
        background-size: 400%;
    }

    body p {
        font-size: small;
    }

    .menu-nav {
        width: 35%;
    }

    .banarrow-wrapper {
        margin: 7vh 15%;
    }

    .articles {
        margin: 2vh 10%;
    }

    .art-container {
        padding: 0 5%;
    }
}

@media (max-width: 728px) {
    body{
        background-size: 500%;
    }

    .banarrow-wrapper {
        margin: 7vh 10%;
    }

    banner button {
        font-size: medium;
    }

    .menu-nav {
        width: 55%;
    }

    .menu-nav a {
        font-size: medium;
    }

    .img-wrapper img {
        max-width: 420px;
    }

    .new-post button {
        height: 30px;
        width: 140px;
        font-size: smaller;
    }

    .title-bar{
        border-radius: initial;
    }

    .upload_image_actu {
        margin-top:1rem;
    }

    .articles {
        margin: 2vh 0;
    }

    .art-container {
        padding: 0;
    }

    .art-metadata {
        float: none;
    }

    .art-detail {
        margin: 5vh 5%;
    }

    .article-detail-post {
        margin: 5vh 0;
    }

    .hadith {
        margin: 5vh 5vh;
    }
    .hadith h1 {
        font-size: x-large;
    }

    .dons-frame {
        width: 100%;
        margin: 0;
    }

    .sounboula-wrapper img {
        width: 100%;
    }

    .assoc-wrapper h1 {
        font-size: larger;
    }
}

@media (max-width: 580px) {
    body{
        background-size: 610%;
    }

    body p {
        font-size: 12px;
    }

    .banarrow-wrapper {
        margin: 7vh 5%;
    }

    .menu-nav {
        width: 70%;
    }

    .arrow-projet img {
        width: 25px;
    }

    .cards h1 {
        font-size: larger;
    }

    .new-post button {
        height: 30px;
        width: 140px;
        font-size: smaller;
    }

    .title-bar h2 {
        font-size: medium;
    }

    .content-read {
        font-size: small;
    }

    .art-metadata a , small {
        font-size: x-small;
    }

    .art-detail {
        margin: 5vh 0;
    }

    .article-detail-post {
        margin: 5vh 0;
        font-size: small;
    }

    .article-detail-post h1 {
        font-size: medium;
    }

    .hadith h1 {
        font-size: medium;
    }
}

@media (max-width: 350px) {
    .banarrow-wrapper {
        margin: 7vh 0;
    }

    .menu-nav {
        width: 100%;
    }

    banner button {
        font-size: small;
    }

    .article-detail-post hr {
        margin: 0 10vh;
    }
}

@media (max-width: 250px) {
    .title-bar h2 {
        font-size: x-small;
    }

    banner button {
        font-size: x-small;
    }
}

/*========== BRIQUES ==========*/
#haWidget {
    margin-top: 10vh;
}

.post form fieldset {
    display: flex;
    flex-direction: column;
    margin: auto 0;
}

.django-ckeditor-widget {
    display: inherit !important;
    justify-content: center;
}

.image {
    max-width: 700px;
    width: 100%;
}

.p-image {
    text-align: center;
}

@media (max-width: 768px) {
	.article-detail-post p {
		margin: 5vh 0;
	}
}

#socNetButtons {
    margin-top: 5vh;
    float: left;
    display: flex;
    flex-direction: column;
    background-color: #fff;
    border-radius: 0 20px 20px 0;
    padding: 10px 3px 10px 0;
    position: fixed;
    top: 25%;
    box-shadow: 5px 5px 7px 0 rgba(10, 10, 10, 0.43);
}

#socNetButtons img {
    border-radius: 10%;
    width: 40px;
}

#socNetButtons a:hover{
    background-color: cornflowerblue;
}

#socNetButtons a {
    display: inline-table;
    padding: 0.4rem;
    border-radius: 6px;
    line-height: 0;
    margin: 5px;
}

@media (max-width: 866px) {
    #socNetButtons {
        display: block;
        position: initial;
        float: initial;
        flex-direction: initial;
        background-color: unset;
        padding: 10px;
        text-align: center;
        box-shadow: none;
    }
    #socNetButtons a {
        margin: 0;
    }
}

@media (max-width: 400px) {
    #socNetButtons img {
        width: 30px;
    }
}
